package com.cyx.log;

import org.apache.log4j.Logger;

/**
 * @Author Created by cyx.zhang Administrator on 2023/9/6 9:07 周三
 * @Description: TOTO
 */
public class EventLog {

  private static Logger logger = null ;

  /**
   * INFO
   * @param message
   */
  public static void info(String message) {
    try{
      if( logger == null)
      {
        logger = Logger.getLogger(message);
      }
      logger.info(message);
    }catch(Exception e){
      e.printStackTrace();
    }
  }

  /**
   * DEBUG
   * @param message
   */
  public static void debug(String message) {
    try{
      if( logger == null)
      {
        logger = Logger.getLogger(message);
      }
      logger.debug(message);
    }catch(Exception e){
      e.printStackTrace();
    }
  }

  /**
   * WARN
   * @param message
   */
  public static void warn(String message) {
    try{
      if( logger == null)
      {
        logger = Logger.getLogger(message);
      }
      logger.warn(message);
    }catch(Exception e){
      e.printStackTrace();
    }
  }

  /**
   * ERROR
   * @param message
   */
  public static void error(String message) {
    try{
      if( logger == null)
      {
        logger = Logger.getLogger(message);
      }
      logger.error(message);
    }catch(Exception e){
      e.printStackTrace();
    }
  }

}
