package com.cyx.encdec;

import com.alibaba.druid.filter.config.ConfigTools;
import com.cyx.log.EventLog;

/**
 * @Author Created by cyx.zhang Administrator on 2024/3/1 16:02 周五
 * @Description: 密码加密解密测试类
 */
public class TestEncDec {

  public static void main(String[] args) {
    try {
      String encryRoot = ConfigTools.encrypt("root");
      String encryPass = ConfigTools.encrypt("NXcyx@2023");

      EventLog.debug("用户加密：" + encryRoot);
      EventLog.debug("密码加密：" + encryPass);

      String decryRoot = ConfigTools.decrypt(encryRoot);
      String decryPass = ConfigTools.decrypt(encryPass);

      EventLog.debug("用户解密：" + decryRoot);
      EventLog.debug("密码解密：" + decryPass);
    }catch (Exception e){
      e.printStackTrace();
    }
  }
}
