package com.cyx.main;

import com.cyx.db.Jdbc;
import com.cyx.entry.Entry;
import com.cyx.log.EventLog;

/**
 * @Author Created by cyx.zhang Administrator on 2024/3/4 8:55 周一
 * @Description: 测试类
 */
public class TestMain {

  public static void main(String[] args) {
    String is = Jdbc.jdbc();
    if ("1".equals(is)) {
      String type = args[0];
      switch (type) {
        case "syns":
          Entry.synsData(args);
          break;
        case "edit":
          Entry.editData(args);
          break;
        case "info":
          Entry.InfoData(args);
          break;
        case "image":
          Entry.ImageData(args);
      }
    } else {
      EventLog.info("数据库链接失败！");
    }
    EventLog.info("10秒后关闭...");
    try {
      Thread.sleep(10000L);
    } catch (InterruptedException e) {
      e.printStackTrace();
    }
  }
}
